﻿<link rel="stylesheet" href="/lib/bootstrap/dist/css/bootstrap.css" />
<link rel="stylesheet" href="/css/site.css" />
<link rel="stylesheet" href="/mdl/material.css">
<script src="/mdl/material.js"></script>
<script src="/lib/jquery/dist/jquery.js"></script>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

<style>
    .demo-card-square.mdl-card {
        width: 320px;
        height: 320px;
        margin: 5px;
    }

    .demo-card-square > .mdl-card__title {
        color: #fff;
        background: var(--image) no-repeat;
        height: 160px;
    }
</style>
<div class="test">
    <form>
        <ul>
            <li style="display:inline-block">
                <div class="demo-card-square mdl-card mdl-shadow--2dp">
                    <div class="mdl-card__title" style="--image:url(/img/test/1.png)">
                        <h1 class="mdl-card__title-text" style="font-weight:900">1</h1>
                    </div>

                    <div class="mdl-card__supporting-text">
                        Выключаете ли вы свет, когда выходите из комнаты?
                    </div>
                    <div class="mdl-card__actions mdl-card--border">
                        <fieldset id="q1">
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q1" value="1">
                                <span class="mdl-radio__label">Да</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q1" value="0.5">
                                <span class="mdl-radio__label">Чаще всего</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q1" value="0">
                                <span class="mdl-radio__label">Иногда</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q1" value="0">
                                <span class="mdl-radio__label">Нет</span>
                            </label><br>
                        </fieldset>
                    </div>
                </div>
            </li>
            <li style="display:inline-block">
                <div class="demo-card-square mdl-card mdl-shadow--2dp">
                    <div class="mdl-card__title" style="--image:url(/img/test/2.png)">
                        <h1 class="mdl-card__title-text" style="font-weight:900">2</h1>
                    </div>

                    <div class="mdl-card__supporting-text">
                        Оключаете ли вы электроприборы от сети, когда вы их не используете?
                    </div>
                    <div class="mdl-card__actions mdl-card--border">
                        <fieldset id="q2">
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q2" value="1">
                                <span class="mdl-radio__label">Да</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q2" value="0.5">
                                <span class="mdl-radio__label">Чаще всего</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q2" value="0">
                                <span class="mdl-radio__label">Иногда</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q2" value="0">
                                <span class="mdl-radio__label">Нет</span>
                            </label><br>
                        </fieldset>
                    </div>
                </div>
            </li>
            <li style="display:inline-block">
                <div class="demo-card-square mdl-card mdl-shadow--2dp">
                    <div class="mdl-card__title" style="--image:url(/img/test/3.png)">
                        <h1 class="mdl-card__title-text" style="font-weight:900">3</h1>
                    </div>
                    <div class="mdl-card__supporting-text">
                        Заменяете ли вы личный автомобиль на велосипед?
                    </div>
                    <div class="mdl-card__actions mdl-card--border">
                        <fieldset id="q3">
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q3" value="1">
                                <span class="mdl-radio__label">Да / Нет личного автомобиля</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q3" value="0.5">
                                <span class="mdl-radio__label">Довольно часто</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q3" value="0">
                                <span class="mdl-radio__label">Редко</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q3" value="0">
                                <span class="mdl-radio__label">Нет</span>
                            </label><br>
                        </fieldset>
                    </div>
                </div>
            </li>
            <li style="display:inline-block">
                <div class="demo-card-square mdl-card mdl-shadow--2dp">
                    <div class="mdl-card__title" style="--image:url(/img/test/4.png)">
                        <h1 class="mdl-card__title-text" style="font-weight:900">4</h1>
                    </div>
                    <div class="mdl-card__supporting-text">
                        Как часто вы используете автомобильный транспорт?
                    </div>
                    <div class="mdl-card__actions mdl-card--border">
                        <fieldset id="q4">
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q4" value="1">
                                <span class="mdl-radio__label">Не использую</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q4" value="0.5">
                                <span class="mdl-radio__label">Иногда</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q4" value="0">
                                <span class="mdl-radio__label">Часто</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q4" value="0">
                                <span class="mdl-radio__label">Регулярно</span>
                            </label><br>
                        </fieldset>
                    </div>
                </div>
            </li>
            <li style="display:inline-block">
                <div class="demo-card-square mdl-card mdl-shadow--2dp">
                    <div class="mdl-card__title" style="--image:url(/img/test/5.png)">
                        <h1 class="mdl-card__title-text" style="font-weight:900">5</h1>
                    </div>
                    <div class="mdl-card__supporting-text" style="height:68px">
                        Сортируете ли вы мусор?
                    </div>
                    <div class="mdl-card__actions mdl-card--border">
                        <fieldset id="q5">
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q5" value="1">
                                <span class="mdl-radio__label">Да</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q5" value="0.5">
                                <span class="mdl-radio__label">Чаще всего</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q5" value="0">
                                <span class="mdl-radio__label">Иногда</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q5" value="0">
                                <span class="mdl-radio__label">Нет</span>
                            </label><br>
                        </fieldset>
                    </div>
                </div>
            </li>
            <li style="display:inline-block">
                <div class="demo-card-square mdl-card mdl-shadow--2dp">
                    <div class="mdl-card__title" style="--image:url(/img/test/6.png)">
                        <h1 class="mdl-card__title-text" style="font-weight:900">6</h1>
                    </div>
                    <div class="mdl-card__supporting-text">
                        Покупаете ли вы пластиковые пакеты в магазине?
                    </div>
                    <div class="mdl-card__actions mdl-card--border">
                        <fieldset id="q6">
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q6" value="0">
                                <span class="mdl-radio__label">Да</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q6" value="0">
                                <span class="mdl-radio__label">Чаще всего</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q6" value="0.5">
                                <span class="mdl-radio__label">Иногда</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q6" value="1">
                                <span class="mdl-radio__label">Нет</span>
                            </label><br>
                        </fieldset>
                    </div>
                </div>
            </li>
            <li style="display:inline-block">
                <div class="demo-card-square mdl-card mdl-shadow--2dp">
                    <div class="mdl-card__title" style="--image:url(/img/test/7.png)">
                        <h1 class="mdl-card__title-text" style="font-weight:900">7</h1>
                    </div>
                    <div class="mdl-card__supporting-text">
                        Принимаете ли вы участие в сборе макулатуры?
                    </div>
                    <div class="mdl-card__actions mdl-card--border">
                        <fieldset id="q7">
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q7" value="1">
                                <span class="mdl-radio__label">Да</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q7" value="0.5">
                                <span class="mdl-radio__label">Чаще всего</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q7" value="0">
                                <span class="mdl-radio__label">Иногда</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q7" value="0">
                                <span class="mdl-radio__label">Нет</span>
                            </label><br>
                        </fieldset>
                    </div>
                </div>
            </li>
            <li style="display:inline-block">
                <div class="demo-card-square mdl-card mdl-shadow--2dp">
                    <div class="mdl-card__title" style="--image:url(/img/test/8.png)">
                        <h1 class="mdl-card__title-text" style="font-weight:900">8</h1>
                    </div>
                    <div class="mdl-card__supporting-text" style="height:68px">
                        Что вы используете, ванну или душ?
                    </div>
                    <div class="mdl-card__actions mdl-card--border">
                        <fieldset id="q7" style="height:96px">
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q8" value="0">
                                <span class="mdl-radio__label">Ванну</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q8" value="1">
                                <span class="mdl-radio__label">Душ</span>
                            </label><br>
                        </fieldset>
                    </div>
                </div>
            </li>
            <li style="display:inline-block">
                <div class="demo-card-square mdl-card mdl-shadow--2dp">
                    <div class="mdl-card__title" style="--image:url(/img/test/9.png)">
                        <h1 class="mdl-card__title-text" style="font-weight:900">9</h1>
                    </div>
                    <div class="mdl-card__supporting-text">
                        Используете ли вы предметы вторичного использования?
                    </div>
                    <div class="mdl-card__actions mdl-card--border">
                        <fieldset id="q9">
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q9" value="1">
                                <span class="mdl-radio__label">Да</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q9" value="0.5">
                                <span class="mdl-radio__label">Чаще всего</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q9" value="0">
                                <span class="mdl-radio__label">Иногда</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q9" value="0">
                                <span class="mdl-radio__label">Нет</span>
                            </label><br>
                        </fieldset>
                    </div>
                </div>
            </li>
            <li style="display:inline-block">
                <div class="demo-card-square mdl-card mdl-shadow--2dp">
                    <div class="mdl-card__title" style="--image:url(/img/test/10.png)">
                        <h1 class="mdl-card__title-text" style="font-weight:900">10</h1>
                    </div>
                    <div class="mdl-card__supporting-text">
                        Как часто вы принимаете ванну / душ?
                    </div>
                    <div class="mdl-card__actions mdl-card--border">
                        <fieldset id="q10">
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q10" value="0">
                                <span class="mdl-radio__label">Часто</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q10" value="0">
                                <span class="mdl-radio__label">Иногда</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q10" value="0.5">
                                <span class="mdl-radio__label">Редко</span>
                            </label><br>
                            <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect">
                                <input type="radio" class="mdl-radio__button" name="q10" value="1">
                                <span class="mdl-radio__label">Очень редко</span>
                            </label><br>
                        </fieldset>
                    </div>
                </div>
            </li>
        </ul>
        <div class="kn" style="margin-bottom: 5%; width: 100%;height: 100%; text-align: center;">
            <button class="mdl-button mdl-js-button mdl-button--raised mdl-button--colored" type="button" id="check">
                Отправить
            </button>
        </div>
    </form>
</div>

<script>
    $(function () {
        $("#check").click(function () {
            var total = 0;
            $(":radio:checked").each(function () {
                total += Number(this.value);
            });

            swal({
                title: "Поздравляем!",
                text: "Вы набрали " + (total / 10 * 100).toFixed(0) + "%",
                icon: "success",
                button: {
                    text: "Сделать больше для экологии города",
                    value: true,
                },
            })
            .then((value) => {
                if (value) {
                      window.location.href = '/Identity/Account/Register';
                }
            });
        });
    });
    

</script>
